resources:
    App\Entity\UserGroup:
        security: 'is_granted("ROLE_SUPER_ADMIN")'
        processor: App\State\Processor\UserGroupProcessor
        input: App\Dto\Input\UserGroupInput
        output: App\Dto\Output\UserGroupOutput
        normalizationContext:
            groups: ['default', 'user-group:read']
        denormalizationContext:
            groups: ['user-group:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\UserGroupProvider
                filters:
                    - 'api_platform.filter.user_group.order'
                    - 'api_platform.filter.user_group.search'
                    - 'api_platform.filter.user_group.boolean'
            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\UserGroupProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\UserGroupProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\UserGroupProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\UserGroup:
        id:
            identifier: false
        uuid:
            identifier: true